> ## Documentation Index
> Fetch the complete documentation index at: https://docs.light.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# List bank transactions

> Returns a paginated list of bank transactions for the specified bank account, including the balance



## OpenAPI

````yaml /openapi-public.json get /v1/bank-accounts/{bankAccountId}/bank-transactions
openapi: 3.0.1
info:
  title: Light API
  version: 1.0.0
servers: []
security:
  - apiKeyAuth: []
  - bearerAuth: []
paths:
  /v1/bank-accounts/{bankAccountId}/bank-transactions:
    get:
      tags:
        - v1 - Bank Accounts
      summary: List bank transactions
      description: >-
        Returns a paginated list of bank transactions for the specified bank
        account, including the balance
      operationId: listBankTransactions
      parameters:
        - name: bankAccountId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: sort
          in: query
          schema:
            type: string
            description: >-
              Sort string in the format `field:direction`. To provide multiple
              sort fields, separate them with commas.


              Available directions: `asc`, `desc`. 


              Available fields: `reconciliationStatus`, `dcSign`, `date`,
              `amount`, `name`, `memo`.
            example: amount:desc,createdAt:asc
        - name: filter
          in: query
          schema:
            type: string
            description: >-
              Filter string in the format `field:operator:value`. To provide
              multiple filters, separate them with commas.


              Available operators: `eq`, `ne`, `in`, `not_in`, `gt`, `gte`,
              `lt`, `lte`.
               - For `in` and `not_in` operators, provide multiple values separated by the pipe character (`|`). 

              Available fields: `reconciliationStatus`, `dcSign`, `date`.
            example: state:in:IN_DRAFT|SCHEDULED|PAID,amount:gte:500,vendorId:ne:null
        - name: limit
          in: query
          description: Maximum number of items to return. Default is 50, maximum is 200.
          schema:
            maximum: 200
            type: integer
            format: int32
        - name: offset
          in: query
          description: >-
            Number of items to skip before starting to collect the result set.
            Deprecated, use 'cursor' instead.
          deprecated: true
          schema:
            type: integer
            format: int64
        - name: cursor
          in: query
          description: >-
            The cursor position to start returning results from.

            To opt-in into cursor-based pagination, provide `0` for the initial
            request.

            For subsequent requests, use `nextCursor` and `prevCursor` from the
            previous response to navigate.

            Cursor values are opaque and should not be constructed manually.
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json;charset=UTF-8:
              schema:
                $ref: >-
                  #/components/schemas/ExternalGetAllResponseWithBalanceV1ModelExternalBankTransactionV1Model
components:
  schemas:
    ExternalGetAllResponseWithBalanceV1ModelExternalBankTransactionV1Model:
      type: object
      properties:
        total:
          type: integer
          format: int64
        records:
          type: array
          items:
            $ref: '#/components/schemas/ExternalBankTransactionV1Model'
        balance:
          type: integer
          format: int64
    ExternalBankTransactionV1Model:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the bank transaction
          format: uuid
        bankAccountId:
          type: string
          description: ID of the bank account this transaction belongs to
          format: uuid
        date:
          type: string
          description: Transaction date
          format: date
        amount:
          type: integer
          description: Transaction amount in minor units (e.g. cents)
          format: int64
        dcSign:
          type: string
          description: >-
            Debit/credit sign


            ⚠️ This enum is not exhaustive; new values may be added in the
            future.
          nullable: false
          deprecated: false
          enum:
            - D
            - C
        reconciliationStatus:
          type: string
          description: >-
            Reconciliation status


            ⚠️ This enum is not exhaustive; new values may be added in the
            future.
          nullable: false
          deprecated: false
          enum:
            - EXCLUDED
            - MATCHED
            - UNMATCHED
        name:
          type: string
          description: Transaction name / payee
          nullable: true
        memo:
          type: string
          description: Transaction memo / description
          nullable: true
        reference:
          type: string
          description: Transaction reference
          nullable: true
        transactionId:
          type: string
          description: External transaction identifier for idempotency
          nullable: true
        createdAt:
          type: string
          description: Timestamp when the transaction was created
          format: date-time
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: >-
        Basic authentication header of the form **Basic** **<api_key>**, where
        **<api_key>** is your api key.
      name: Authorization
      in: header
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````